#
# spec file for package gtkam
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtkam
Version:        1.0
Release:        2.27
Summary:        A GTK Digital Camera Tool
License:        GPL-2.0+
Group:          Hardware/Camera
Url:            http://gphoto.org
Source:         https://sourceforge.net/projects/gphoto/files/gtkam/1.0/%{name}-%{version}.tar.bz2
Source1:        https://sourceforge.net/projects/gphoto/files/gtkam/1.0/%{name}-%{version}.tar.bz2.asc
Source2:        %{name}.keyring
BuildRequires:  fdupes
BuildRequires:  gimp-devel
BuildRequires:  intltool
BuildRequires:  libexif-gtk-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}

%description
GTKam is a GTK and GNOME based tool for accessing a digital camera,
viewing thumbnails, and downloading pictures from the camera.

%package doc
Summary:        Documentation for gtkcam
Group:          Documentation/Man
Requires:       %{name} = %{version}

%description doc
Documentation for gtkam.

%lang_package

%prep
%setup -q

%build
%configure
make %{?jobs:-j%jobs}

%install
%make_install
# cleanup
rm -r %{buildroot}%{_datadir}/doc/gtkam
%suse_update_desktop_file %{name} Graphics Photography
%find_lang %{name}
%fdupes %{buildroot}

%files
%doc COPYING
%{_bindir}/gtkam
%{_datadir}/applications/*.desktop
%{_datadir}/gtkam
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
# FIXME: There is no generic %{_datadir}/images. Better would be %{_datadir}/pixmaps (upstream problem).
%dir %{_datadir}/images
%dir %{_datadir}/omf
%{_datadir}/images/gtkam
%{_datadir}/pixmaps/gtkam.png
%{_datadir}/pixmaps/gtkam-camera.png
%{_libdir}/gimp/2.0/plug-ins/gtkam-gimp

%files lang -f %{name}.lang

%files doc
%doc AUTHORS ChangeLog CHANGES NEWS README TODO
%{_mandir}/man1/*%{ext_man}

%changelog
* Sat Nov 11 2017 zaitor@opensuse.org
- Drop obsolete libgnomeui-devel BuildRequires: GNOME 2 support is
  no longer needed.
- Own gnome help dirs.
- Cleanup with spec-cleaner.
- Stop exporting SUSE_ASNEEDED=0, no longer fails to build with as
  needed.
* Fri May 27 2016 meissner@suse.com
- updated to 1.0
  - bugfixes
  - translation updates
- added gpg signature and keyring
* Mon Dec 16 2013 zaitor@opensuse.org
- Own %%{_datadir}/omf: scrollkeeper used to own this, but with the
  switch to rarian we have to care of it ourselves.
- Drop scrollkeeper BuildRequires as this was only here to own the
  above mentioned directory.
* Tue Sep 11 2012 p.drouand@gmail.com
- updated to 0.2.0 release
  - ported to libgphoto2 2.5.0
- split off seperate %%doc package
- %%clean section removed
* Mon Feb 27 2012 meissner@suse.de
- do not own omf directory in the mainpackage, as -lang takes
  care of it.
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Fri Nov  7 2008 meissner@suse.de
- updated to 0.1.16 release
  - translation updates
  - changed files to have GPL header (instead of wrong LGPL)
  - small bugfixes
* Wed Jul  9 2008 sbrabec@suse.cz
- Updated BuildRequires (libexif-gtk-devel).
* Tue Apr 15 2008 meissner@suse.de
- updated to 0.1.15 release
  - translation updates
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Tue Feb  6 2007 sbrabec@suse.cz
- Spec file cleanup.
- Package gexif in a separate package.
* Fri Jan 12 2007 meissner@suse.de
- upgraded to 0.1.14.0.trunk
  - some capture fixes
  - adjust to API changes
  - translation fixes
- moved to /usr
* Sat Oct 21 2006 meissner@suse.de
- buildrequire libgphoto2-devel
* Thu Oct 19 2006 meissner@suse.de
- Upgraded to 0.1.13.head.
- fixed building against CameraList -> CameraList* change.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 gekker@suse.de
- Fix build breakage
* Sat Nov 19 2005 stbinner@suse.de
- keep old xdg menu category for build on older distribution
* Thu Sep 29 2005 stbinner@suse.de
- fix "Photograph" to correct "Photography" xdg menu category
* Mon Aug 15 2005 gekker@suse.de
- Add scrollkeeper support (#71275)
* Tue Oct 26 2004 meissner@suse.de
- redid auto* magic hacks and packing, fixes build.
* Mon Oct 25 2004 meissner@suse.de
- Upgraded to current CVS (just some small fixes).
- no -> nb rename.
* Fri Apr 30 2004 meissner@suse.de
- Updated to 0.1.12.
  - lots of gtk2/gnome ui fixes and updates.
- fixed some compile bugs.
* Tue Mar 23 2004 meissner@suse.de
- Gimp plugins are now in ../2.0/..
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Tue Feb 17 2004 meissner@suse.de
- Upgraded to current CVS, which has several fixes and enhancements.
- Reenabled GIMP plugin.
- Enabled some GNOME stuff.
* Tue Feb 17 2004 adrian@suse.de
- fix Categories
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Sep  1 2003 adrian@suse.de
- add desktop file
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul  2 2003 meissner@suse.de
- Upgraded to current CVS, should fix UTF-8 displaying problems.
* Mon Jun 23 2003 ro@suse.de
- use find_lang to find localization files
* Thu Jun 12 2003 sbrabec@suse.cz
- Prefix changed to /opt/gnome2.
- Documentation included to package.
* Tue May 27 2003 ro@suse.de
- add manpage to filelist
- remove unpackaged files from buildroot
* Wed Jan 15 2003 ro@suse.de
- use gtk2-devel-packages in neededforbuild
* Mon Dec  2 2002 meissner@suse.de
- Upgraded to release 0.1.10.
* Mon Nov 18 2002 meissner@suse.de
- Upgraded to release candidate version 0.1.10.
* Mon Jul 29 2002 meissner@suse.de
- gphoto -> libgphoto2
* Wed Jul 24 2002 meissner@suse.de
- Upgraded to current version, which has been ported to gtk2.
  Disabled gimp plugin, since it requires gimp 1.3.
* Wed May 15 2002 meissner@suse.de
- %%_lib fixes.
* Thu Apr  4 2002 meissner@suse.de
- Fixed gettext compile problem (ripped out gettextize calls).
- Upgraded to current development snapshot.
* Thu Feb 28 2002 meissner@suse.de
- compile inadvertently left out gimp plugin and install it.
* Tue Feb  5 2002 meissner@suse.de
- Upgraded to 0.1.3, libexif and libexif-gtk are now seperate, more
  translations.
* Wed Jan 23 2002 meissner@suse.de
- GTK/GNOME program for digital camera access, based on gphoto2.
